package com.ejie.ad74a.ws.client.dokusi.model.papel0;

public class Formato implements java.io.Serializable {

	private static final long serialVersionUID = 1L;

	private String description;
	private String extension;
	private String mimeType;
	private String name;
	private Boolean fullText;

	/**
	 * Method 'Formato'.
	 * 
	 */
	public Formato() {
	}

	/**
	 * @return the description
	 */
	public String getDescription() {
		return description;
	}

	/**
	 * @param description the description to set
	 */
	public void setDescription(String description) {
		this.description = description;
	}

	/**
	 * @return the extension
	 */
	public String getExtension() {
		return extension;
	}

	/**
	 * @param extension the extension to set
	 */
	public void setExtension(String extension) {
		this.extension = extension;
	}

	/**
	 * @return the mimeType
	 */
	public String getMimeType() {
		return mimeType;
	}

	/**
	 * @param mimeType the mimeType to set
	 */
	public void setMimeType(String mimeType) {
		this.mimeType = mimeType;
	}

	/**
	 * @return the name
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name the name to set
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * @return the fullText
	 */
	public Boolean getFullText() {
		return fullText;
	}

	/**
	 * @param fullText the fullText to set
	 */
	public void setFullText(Boolean fullText) {
		this.fullText = fullText;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "Formato [description=" + description + ", extension=" + extension + ", mimeType=" + mimeType + ", name="
				+ name + ", fullText=" + fullText + "]";
	}

}
